XAPM(1)

NAME
xapm - display Advanced Power Management (APM) BIOS information

SYNOPSIS
xapm [ ... ]

DESCRIPTION
xapm puts up an X window that displays the remaining battery life. The left side of the window contains a printed time or percentage, and the right side of the window contains a bar indicating the percentage. Clicking on the left side of the window will toggle the display between time and percent.

OPTIONS AND RESOURCES
In addition to standard Xt options, the following options are available:

-V  Print version and exit.

-highcolor color
    The color of the bar when the battery percentage is above highvalue. Defaults to "green". (*highColor)

-lowcolor color
    The color of the bar when the battery percentage is between lowvalue and highvalue. Defaults to "yellow". (*lowColor)

-criticalcolor color
    The color of the bar when the battery percentage is below lowvalue. Defaults to "red". This color is also used to flash the alphanumeric part of the display when the power status is critical. (*criticalCOlor)

-highvalue highvalue
    Set highvalue. The default is 50. (*highValue)

-lowvalue lowvalue
    Set lowvalue. The default is 10. (*lowValue)

-chargingcolor color
    The color of the printed display when charging. The default is "blue". Use -foreground to change the color used when on battery power. (*chargingColor)

-delay delay
    Sets the number of seconds delay between each update. The default is 1. (*delay)

-percent
    Display percentage on startup, instead of time remaining. (*percent, boolean)

BUGS
There is no way to inhibit the alphanumeric display or the bar display. When the battery percentage is low, using a bright color to warn you of impending doom may be futile because the bar is too short. Because of the form widget's desire to maintain proportions, dynamic resizing of the window may not do what you want it to do.

FILES
/proc/apm

AUTHOR
This program was written by Rik Faith (faith@cs.unc.edu) and may be freely distributed under the terms of the GNU General Public License. There is ABSOLUTELY NO WARRANTY for this program. The current maintainer is Avery Pennarun (apenwarr@worldvisions.ca).

SEE ALSO
apm(1), apmd(8)